Static Deposit
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Resolve Static Deposit Unresolved Request
Marks the unresolved request as resolved by the current user, the same as the Resolve button in the admin panel. Nothing else is changed. Responds 404 when there is no unresolved request with this ID, including an already resolved one. Requires the `static-deposit.unresolved_requests.view` and `static-deposit.unresolved_requests.resolve` permissions.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unresolved request ID
Format
uuidHeader Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/static-deposit/unresolved-requests/0199a3c4-5b6d-7e8f-9a0b-1c2d3e4f5a6b/resolve" \ -H "accept-language: ja"Empty
{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}